import { AwsCredentials as AwsCredentialsConfig, AwsKeys as AwsKeysConfig } from '../../ops-types.js';
import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
declare class AwsKeys extends AwsCredentialsType implements AwsKeysConfig {
    AwsAccessKeyId: string;
    AwsSecretAccessKey: string;
    AwsSessionToken?: string;
    constructor(props: AwsKeysConfig);
    static isAwsKeys(credentials: AwsCredentialsConfig): boolean;
    static fromJson(object: AwsKeysConfig): AwsKeys;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { AwsKeys };
