import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { AwsCredentials as AwsCredentialsConfig, LocalAwsProfile as LocalAwsProfileConfig } from '../../ops-types.js';
declare class LocalAwsProfile extends AwsCredentialsType implements LocalAwsProfileConfig {
    profileName: string;
    constructor(props: LocalAwsProfileConfig);
    static isLocalAwsProfile(credentials: AwsCredentialsConfig): boolean;
    static fromJson(object: LocalAwsProfileConfig): LocalAwsProfile;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { LocalAwsProfile };
